IsCannibal {cheddar} | R Documentation

## Cannibalistic nodes

### Description

Nodes that consume themselves in the food web.

### Usage

    IsCannibal(community)
    Cannibals(community)
    FractionCannibalistic(community)

### Arguments

`community` | an object of class `Community`.

### Details

`IsCannibal` returns a vector of `logical` of length `NumberOfNodes`; values are `TRUE` for nodes consume themselves. `Cannibals` returns the names of nodes for which `IsCannibals` returns `TRUE`. `FractionCannibalistic` returns the proportion of nodes for which `IsCannibal` returns `TRUE`

### Value

Either a `logical` vector of length `NumberOfNodes` or a vector of names.

### Author(s)

Lawrence Hudson

### See Also

`RemoveCannibalisticLinks`, `NumberOfNodes`, `PredationMatrix`, `Degree`, `InDegree`, `OutDegree`, `ResourcesByNode`, `ConsumersByNode`, `ResourcesOfNodes`, `ConsumersOfNodes`

### Examples

    data(TL84)

    IsCannibal(TL84)
    Cannibals(TL84)
    FractionCannibalistic(TL84)

[Package cheddar version 0.1-633 Index]